def parse_data(_str_)

	h={};a=_str_.split"\0"

	a.each do |s|
		
		begin

			puts s
		
			m=Regexp.new("^(.*)=(.*)$").match(s)
		
			h.merge!({m[1]=>m[2]})
		
		rescue
		
		end 
	
	end
	
	return h

end

def gen_sid()

	(0xfffffffffffffffff*(rand 1024)).to_s(36)

end
